// Author : Pierre Vuillemin (2016)
// License : CECILL

function out = sopi_linpro(problem, x0, options)
   // 
   //sopi_tryToExtract(options, list("imp"))
   if ~isempty(x0) | ~isempty(options) then
      sopi_print(-1,"Interface to linpro does not support initial points or options.\n")
   end
   //
   C = [problem.Aeq;problem.A]
   b = [problem.beq;problem.b]
   [xopt, lagr, fopt] = linpro(problem.fun.c,C,b,problem.lb, problem.ub,size(problem.Aeq,1))
   // 
   out      = struct()
   out.xopt = xopt
   out.fopt = fopt + problem.fun.q
endfunction
