// Author : Pierre Vuillemin (2016)
// License : CECILL

function constraint = sopi_newCst(varargin)
   objType  = "sopiCst";
   objAtt   = list( "id"    , sopi_getNewCId(),...
                    "lhs"   ,              [],...
                    "size"  ,              [],...
                    "name"  ,              "",...
                    "type",                "");
   constraint = sopi_makeObject(objType, objAtt);
   constraint = sopi_fillList(constraint, varargin)
endfunction

// sopi_getNewId ...............................................................
// finds an id for a sopiCst.
function id = sopi_getNewCId()
   global sopiData
   id               = sopiData.cstId + 1;
   sopiData.cstId   = id;
endfunction

