// Author : Pierre Vuillemin (2016)
// License : CECILL

function out = %sopiFun_e(varargin)
   fun = varargin($)
   if length(varargin) == 2 & typeof(varargin(1)) == "string" then
      validFieldNames = fieldnames(fun)
      if or(field == validFieldNames) then
         out = getfield(field, fun)
      end
   else
         args     = varargin
         args($)  = fun.data;
         out      = fun.call(args(:))
   end
endfunction
