// Author : Pierre Vuillemin (2016)
// License : CECILL

function %sopiPro_p(problem)
   titl    = "Optimisation problem"
   headers  = list("","") 
   entries  = list("Class", sopi_verboseProblemClass(problem.class),...
                   "Number of variables", problem.nvar,...
                   "Constraints",problem.nc,...
                   "Lower bounds", problem.nlb,...
                   "Upper bounds", problem.nub,...
                   "Linear inequalities", problem.nlic,...
                   "Linear equalities", problem.nlec,...
                   "Nonlinear inequalities", problem.nnlic,...
                   "Nonlinear equalities", problem.nnlec,...
                   "Available solvers",length(problem.solvers))

   for i = 1:length(problem.solvers)
      entries($+1) = ""
      entries($+1) = problem.solvers(i).name
   end
   if ~isempty(problem.name) then
      entries(0) = problem.name
      entries(0) = "Name"
   end   
   tab = sopi_tabular(titl, headers, entries)
   mprintf(tab)
endfunction

