// Author : Pierre Vuillemin (2016)
// License : CECILL

function problem = sopi_addVar(problem, newVars)
   varList = problem.varList
   idxList = problem.varIdx
   for var = newVars
      if isempty(sopi_findVarPosInList(var, varList)) then
         varList($+1)   = var
         nvar = prod(size(var))
         problem        = sopi_increaseNvar(problem, nvar)
         if length(idxList) > 0 then
            offset = idxList($)($)
         else
            offset = 0
         end
         idxList($+1) = offset + 1 : offset + nvar
      end
   end
   problem.varList = varList
   problem.varIdx  = idxList
endfunction
