// Author : Pierre Vuillemin (2016)
// License : CECILL

function newVar = %s_a_sopiVar(b, var)
   // Overloading of the addition between a matrix and a sopiVar.
   sopi_print(5,"Performing Matrix + sopiVar.\n")
   if isempty(b) | and(b==0) then
      newVar = var
   else
      newSize  = sopi_checkSizesCoherence(b,var,"sum");
      if isscalar(b) then
         b   = b*ones(newSize(1),newSize(2))
      end
      bvar   = sopi_constant(b)
      newVar = bvar + var  
   end
endfunction
