// Author : Pierre Vuillemin (2016)
// License : CECILL

function newVar = %sopiVar_a_s(var, b)
   // Overloading of the addition between a sopiVar and a matrix.
   // (see %s_a_sopiVar)
   //
   sopi_print(5,"Performing sopiVar + Matrix.\n")
   if isempty(b) | and(b == 0) then
      newVar = var;
   else
      newSize  = sopi_checkSizesCoherence(var,b,"sum");
      if isscalar(b) then
         b           = b * ones(newSize(1),newSize(2));
      end
      bvar           = sopi_constant(b)
      newVar         = var + bvar 
   end
endfunction
