// Author : Pierre Vuillemin (2016)
// License : CECILL

// disp ........................................................................
// handles the display of sopiVar in the scilab terminal.
function %sopiVar_p(var)
   sizeStr = " " + string(size(var,1))+"x"+string(size(var,2))
   if ~isempty(var.name) then
      nameStr = var.name + " : "
   else
      nameStr = ""
   end
   if var.isElementary then
      kindStr  = " elementary"
   else
      kindStr  = " secondary" 
   end
   disp(nameStr + sizeStr + kindStr + " sopiVar ")
endfunction
