// Author : Pierre Vuillemin (2016)
// License : CECILL

// trace .......................................................................
function newVar = %sopiVar_trace(var)
   if var.isScalar then
      newVar = var;
   elseif var.isSquare then
      n        = size(var);
      newVar   = var(1,1);
      for i = 2:n
         // TODO : switch to vectorised expression?
         newVar = newVar + var(i,i);
      end
   else
      error("Trace can only be applied to square matrices.")
   end
endfunction
