// Author : Pierre Vuillemin (2016)
// License : CECILL
// <-- NO CHECK REF -->
sopi_begin()
//
n = 3
x = sopi_var(n,n)
// 
A = rand(n,n)
B = rand(n,n)
C = rand(n,n)
D = rand(n,n)
E = rand(n,n)
F = rand(n,n)

z     = A*x*B + C
out   = sopi_extractLinearPart(z)

assert_checktrue(size(out) == 1)
assert_checktrue(out(1)(1) == A)
assert_checktrue(out(1)(2) == B)
assert_checktrue(out(1)(3).id == x.id)

z    = (A*x*B + C) * (A*x*B + C)
out  = sopi_extractLinearPart(z)
assert_checktrue(size(out) == 1)
assert_checktrue(out(1)(1) == A + C*A)
assert_checktrue(out(1)(2) == B*C + B)
assert_checktrue(out(1)(3).id == x.id)

z    = (A*x*B + C) * (D*x*E + F)
out  = sopi_extractLinearPart(z)
assert_checktrue(size(out) == 1)
assert_checktrue(out(1)(1) == A + C*D )
assert_checktrue(out(1)(2) == B*F + E)
assert_checktrue(out(1)(3).id == x.id)

y    = sopi_var(n,n)
z    = (A*x*B + C) * (D*y*E + F)
out  = sopi_extractLinearPart(z)
assert_checktrue(size(out) == 2)
assert_checktrue(out(1)(1) == A )
assert_checktrue(out(1)(2) == B*F)
assert_checktrue(out(1)(3).id == x.id)
assert_checktrue(out(2)(1) == C*D )
assert_checktrue(out(2)(2) == E)
assert_checktrue(out(2)(3).id == y.id)
