// Author : Pierre Vuillemin (2016)
// License : CECILL

function generateXmls(targetPath)
//   targetPath  = get_absolute_file_path('build_help.sce')
   funToDoc    = list("sopi_var", "sopi_begin", "sopi_min", "sopi_solve", "sopi_end", "sopi_example")
   macrosPath  = strsubst(targetPath, "help/en_US/","macros" + filesep() + "src" + filesep())
   for f = funToDoc
      mdelete(targetPath + f + ".xml")
      filePath  = macrosPath + f + ".sci"
      help_from_sci(filePath, targetPath)
   end
endfunction
target_path = get_absolute_file_path("build_help.sce")
generateXmls(target_path)

tbx_build_help(toolbox_title,target_path);

clear generateXmls target_path
