// Author : Pierre Vuillemin (2016)
// License : CECILL

function out = sopi_karmarkar(problem, x0, options)
   // Optional elements
   optFields = list('rtolf','gam','maxiter','outfun')
   sopi_tryToExtract(options, optFields)
   // Call of the solver
   [xopt, fopt, exitflag, iter, yopt] = karmarkar(problem.Aeq, problem.beq, problem.fun.c, x0, rtolf, gam, maxiter, outfun, problem.A, problem.b, problem.lb, problem.ub)
   // 
   out      = struct()
   out.xopt = xopt
   out.fopt = fopt + problem.fun.q
endfunction
