// Author : Pierre Vuillemin (2016)
// License : CECILL

function constraint = %s_3_sopiVar(minVal, var)
   // Overloads minVal <= sopiVar.
   //
   // Inputs
   // ------
   // minVal(float)   
   // var (sopiVar)
   //
   // Returns
   // -------
   // A sopiCst representing the constraint.
   //
   sopi_checkSizesCoherence(minVal,var,"constraint")
   constraint        = sopi_newCst()
   constraint.lhs    = minVal - var
   constraint.type   = "ineq"
   sopi_print(3,"Creating inequality constraint.\n")
endfunction
