// Author : Pierre Vuillemin (2016)
// License : CECILL
function %sopiCst_p(c)
   headers  = list("","") 
   entries  = list("Class", sopi_verboseCstClass(c),...
                   "Number of variables", c.nvar,...
                   "Number of constraints", c.n)
   if ~isempty(c.name) then
      entries(0) = c.name
      entries(0) = "Name"
   end
   tab = sopi_tabular("", headers, entries)
   mprintf(tab)
endfunction

function out = sopi_verboseCstClass(c)
   if c.type == "ineq" then
      tmp = "inequality constraint"
   elseif c.type == "eq" then
      tmp = "equality constraint"
   end
   if c.isLinear then
      out = strcat(["Linear ",tmp]);
      return
   end
endfunction
