// Author : Pierre Vuillemin (2016)
// License : CECILL

function problem = sopi_increaseNvar(problem, n)
   if isempty(problem.ub) then
      ub = %inf*ones(n,1);
   else
      ub = [problem.ub;%inf*ones(n,1)];
   end
   if isempty(problem.lb) then
      lb = -%inf*ones(n,1);
   else
      lb = [problem.lb;-%inf*ones(n,1)];
   end   
   problem.lb     = lb;
   problem.ub     = ub;
   problem.nvar   = problem.nvar + n
endfunction
