// Author : Pierre Vuillemin (2016)
// License : CECILL

// norm ........................................................................
function newVar = %sopiVar_norm(var, opt)
   if argn(2) == 1 then
      normType            = 2;
   else
      normType            = opt;
      if and(normType~=[1,2,%inf]) then
         error(string(opt)+"-norm not supported by sopi");
      end
   end
   select normType
   case 2
      NORMTYPE = "2norm";
   case 1
      NORMTYPE = "1norm";
   case %inf
      NORMTYPE = "infnorm";
   end
   newVar           = sopi_newVar("size"     ,     [1,1],...
                                  "operator" ,  NORMTYPE,...
                                  "args"     ,       var)
endfunction
