// Copyright 2016 - Pierre Vuillemin
// License : CECILL

function out = sopi_getVarDependency(var)
   out = list()
   if var.isElementary then
      out(1) = var
   elseif ~var.isConstant
      for a = var.args
         out = sopi_union(out,a.depends)
      end
   end
   // bubble sort
   // TODO: change for a better sorting alg?
   ordered = %F
   len = length(out)
   while(~ordered)
      ordered = %T
      for i = 1:length(out)-1
         if out(i).id>out(i+1).id
            tmp = out(i)
            out(i) = out(i+1)
            out(i+1) = tmp
            ordered = %F
         end
      end
      len = len -1
   end

endfunction

function l = sopi_union(l1, l2)
   l = l1
   for e1 = l2
      isInL = %f
      for e2 = l
         if e2.id == e1.id then
            isInL = %t
            break;
         end
      end
      if ~isInL then
         l($+1) = e1
      end
   end
endfunction
