// Author : Pierre Vuillemin (2016)
// License : CECILL

// sopi_areEquals ..............................................................
// tests whether two objects represent the same thing.
function out = sopi_areEquals(o1, o2)
   if typeof(o1) ~= typeof(o2) then
      out = %F
   else
      if sopi_areSameObjects(o1,o2)
         out = %T
      else
         if typeof(o1) == "sopiVar"
            out = sopi_deepComparison(o1,o2)
         end
      end
   end
endfunction

// sopi_deepComparison .........................................................
// attempts to determine whether two sopiVar represent the same quantity.
// TODO : à finir...?
function out = sopi_deepComparison(v1,v2)
   if sopi_isConstant(v1) & sopi_isConstant(v2)
      out = and(sopi_getChildArgs(v1) == sopi_getChildArgs(v2))
      return
   end
   if sopi_isElementary(v1) & sopi_isElementary(v2)
      out = sopi_areSameObjects(v1, v2)
      return
   end
   out = %F
endfunction
