// Author : Pierre Vuillemin (2016)
// License : CECILL

// sopi_areSameObjects .........................................................
// tests whether two objects are the same, that is, if they share the same type
// and have the same id.
function out = sopi_areSameObjects(o1, o2)
   if typeof(o1) == typeof(o2) then
      out = o1.id == o2.id
   else
      out = %F
   end
endfunction
