// Author : Pierre Vuillemin (2016)
// License : CECILL
// <-- NO CHECK REF -->
sopi_begin()
//
n = 3
x = sopi_var(n)
// 
[d1,d2] = size(x)
assert_checktrue([d1, d2] == [n,1])
assert_checktrue(x.isElementary)
// Properties of sopiVar
assert_checkfalse(x.isConstant)
assert_checktrue(x.isPoly)
assert_checktrue(x.polyOrder == 1)
assert_checktrue(x.isLinear)
assert_checktrue(x.isConvex)
assert_checktrue(x.isConcave)
assert_checktrue(x.isDiff)
// Constant sopiVar
bval  = rand(n,1)
b     = sopi_constant(bval)
assert_checktrue(b.sign == sign(b))
assert_checktrue(b.isSecondary)
assert_checktrue(b.operator == "constant")
assert_checktrue(b.args(1) == bval)
assert_checktrue(b.isConstant)
assert_checktrue(b.isPoly)
assert_checktrue(b.polyOrder == 0)
assert_checkfalse(b.isLinear)
assert_checktrue(b.isConvex)
assert_checktrue(b.isConcave)
assert_checktrue(b.isDiff)


